Bug 54670 - Bad: kickstart over nfs hang with anacdump.txt
Summary: Bad: kickstart over nfs hang with anacdump.txt
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
high
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-15 23:52 UTC by Lufan Chen
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 00:40:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (80.09 KB, text/plain)
2001-12-10 03:17 UTC, shixp
no flags Details

Description Lufan Chen 2001-10-15 23:52:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create boot floppy by: cat bootnet.img > /dev/fd0
2.set up dhcp/bootp linux server and export /kickstart and /mnt/cdrom
3.boot floppy and type in "linux ks" at prompt. and it does mount all 
filesystems but hang at "no IDE floppy devices found" prompt.
	

Actual Results:  Below is first few lines of saved error message:


Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
    if todo.doInstall ():
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1698, in 
doInstall
    self.getCompsList()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py",line 770,in 
getCompsList
    self.updateInstClassComps ()
File "/var/tmp/asr/lib/anaconda/todo.py",line798,in updateInstClassComps
    self.comps[n].select()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py",line291,in 
__getitem__
    return self.compsDict[key]
KeyError: C Development

Local variables in innermost frame:


Expected Results:  It should start loading packages from nfs server 
automatically.

Additional info:

Comment 1 shixp 2001-12-10 03:17:23 UTC
Created attachment 915009 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 2 John Francis Lee 2002-12-26 02:01:23 UTC
I've experienced the same bug with kickstart over NFS in Redhat 8.0, forcing me
to install by hand. There's no point in having a 'kickstart' program if it
doesn't work.

I add the first few lines of my anaconda dump:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 446, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 121, in readPackages
    id.instClass.setGroupSelection(id.comps)
  File "/usr/lib/anaconda/kickstart.py", line 1119, in setGroupSelection
    comps[n].select()
  File "/usr/lib/anaconda/comps.py", line 580, in __getitem__
    return self.compsDict[key]
KeyError: Minimal

Thanks for your prompt attention.




Note You need to log in before you can comment on or make changes to this bug.